Subject: [os2genau_digest] No. 1731
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 23 Oct 2008 00:00:38 AET-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 22 October 2008
 Number  1731
**************************************************

Subjects for today
 
1   * Monthly Melbourne OS/2 SIG Meeting * : List Admin" <list at os2 dot org dot au>
2   Compact Flash as internal disk. : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  Compact Flash as internal disk - corrected : Ed Durrant <edurrant at durrant dot mine dot nu>
4  Re:  Compact Flash as internal disk - corrected : Mike O'Connor <mikeoc at internode.on dot net>

**= Email   1 ==========================**

Date:  Tue, 22nd October 2008 12:12:00 +1100 (AET)
From:  "List Admin" <list at os2 dot org dot au>
Subject:   * Monthly Melbourne OS/2 SIG Meeting *

 We would like to remind you of this upcoming event.
 The Monthly meeting of 'Melbourne PC Users Group OS/2 SIG'
  
 Date:   Next Tuesday, 28th October 2008.
 Time:  7:00PM - 9:30PM

 Melbourne PC Users Group premises are located at :-
 2nd floor, Chadstone Place (near Coles)
 Chadstone Shopping Centre [ Melway 96 E4 ].  
 Victoria, Australia.

 The entrance is on the Southern side of the Centre between 
 the National Bank and My Chemist.  And another entrance 
 for after hours access to the lift from inside the shopping
 centre opposite the Coles Store.

 The Monthly Meeting of Melbourne OS/2 SIG is
 normally held the fourth Tuesday of each month.
 EXCEPT December.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Wed, 22 Oct 2008 21:46:04 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:   Compact Flash as internal disk.

Hi,

  I just thought I'd try something different and it appears to have 
worked first time !

  I bought an IDE to CF socket adapter:
http://cgi.ebay dot com dot au/ws/eBayISAPI.dll?ViewItem&ssPageName=STRK:MEWNX:IT&item=290265650782

 and a cheap 2GB Compact Flash card:

http://cgi.ebay dot com dot au/ws/eBayISAPI.dll?ViewItem&item=220291877270

  Put the card in the reader, shut down and took the PC apart and 
plugged the card and adapter directly into the EIDE cable socket on the 
motherboard, put the side back on the PC and powered up. The BIOS 
spotted and accepted the new 2GB harddisk without issues except I had to 
correct the boot sequence as by default it wanted to boot from this (no 
OS installed) drive rather than my normal SATA one.

 From eComStation 2.0 RC3 ran LVMGUI which accepted the drive also as 
valid created a bootable volume which was automatically added to the 
boot manager menu and after exiting LVM formatted the drive as JFS - all 
without issues.

Next step in to install eComStation to the drive.

Why do this ? Well using what is effectively a VERY cheap Solid State 
Disk (the Compact flash cards are parallel interfaced not serial like 
other memory cards) that can run the system (and possibly a future 
system for the lounge) quietly and with less power consumption that a 
normal harddisk. The cheap card I bought is supposed to have a 20Mb/s 
data transfer rate (DFSee report 3.8 MB/s) which is not as fast as SATA 
data transfer however there is no wait for spin up or for the data to 
come around, so if I were to buy a better quality, faster CF card, (The 
adapter I bought can take two cards) it could operate almost as fast as 
a mechanical hard disk.

This will never be a solution for high volumes of data storage, but it 
seems like an interesting option for very small form factor lounge PCs.

Cheers/2

Ed.

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Wed, 22 Oct 2008 21:52:27 +1100
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Compact Flash as internal disk - corrected

Ed Durrant wrote:
> Hi,
>
>  I just thought I'd try something different and it appears to have 
> worked first time !
>
>  I bought an IDE to CF socket adapter:
> http://cgi.ebay dot com dot au/ws/eBayISAPI.dll?ViewItem&ssPageName=STRK:MEWNX:IT&item=290265650782 
>
>
> and a cheap 2GB Compact Flash card:
>
> http://cgi.ebay dot com dot au/ws/eBayISAPI.dll?ViewItem&item=220291877270
>
>  Put the card in the reader, shut down and took the PC apart and 
> plugged the card and adapter directly into the EIDE cable socket on 
> the motherboard, put the side back on the PC and powered up. The BIOS 
> spotted and accepted the new 2GB harddisk without issues except I had 
> to correct the boot sequence as by default it wanted to boot from this 
> (no OS installed) drive rather than my normal SATA one.
>
> From eComStation 2.0 RC3 ran LVMGUI which accepted the drive also as 
> valid created a bootable volume which was automatically added to the 
> boot manager menu and after exiting LVM formatted the drive as JFS - 
> all without issues.
>
> Next step in to install eComStation to the drive.
>
> Why do this ? Well using what is effectively a VERY cheap Solid State 
> Disk (the Compact flash cards are parallel interfaced not serial like 
> other memory cards) that can run the system (and possibly a future 
> system for the lounge) quietly and with less power consumption that a 
> normal harddisk. The cheap card I bought is supposed to have a 15MB/s 
> data transfer rate (DFSee reports only 3.8 MB/s) which is not as fast 
> as SATA data transfer however there is no wait for spin up or for the 
> data to come around, so if I were to buy a better quality, faster CF 
> card, (The adapter I bought can take two cards) it could operate 
> almost as fast as a mechanical hard disk.
>
> This will never be a solution for high volumes of data storage, but it 
> seems like an interesting option for very small form factor lounge PCs.
>
> Cheers/2
>
> Ed.
>
 
>
> 

>

----------------------------------------------------------------------------------

**= Email   4 ==========================**

Date:  Wed, 22 Oct 2008 22:47:58 +0800
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Compact Flash as internal disk - corrected

Ed Durrant wrote:
> Ed Durrant wrote:
>> Hi,
>>
>>  I just thought I'd try something different and it appears to have 
>> worked first time !
>>
>>  I bought an IDE to CF socket adapter:
>> http://cgi.ebay dot com dot au/ws/eBayISAPI.dll?ViewItem&ssPageName=STRK:MEWNX:IT&item=290265650782 
>>
>>
>> and a cheap 2GB Compact Flash card:
>>
>> http://cgi.ebay dot com dot au/ws/eBayISAPI.dll?ViewItem&item=220291877270
>>
>>  Put the card in the reader, shut down and took the PC apart and 
>> plugged the card and adapter directly into the EIDE cable socket on 
>> the motherboard, put the side back on the PC and powered up. The BIOS 
>> spotted and accepted the new 2GB harddisk without issues except I had 
>> to correct the boot sequence as by default it wanted to boot from 
>> this (no OS installed) drive rather than my normal SATA one.
>>
>> From eComStation 2.0 RC3 ran LVMGUI which accepted the drive also as 
>> valid created a bootable volume which was automatically added to the 
>> boot manager menu and after exiting LVM formatted the drive as JFS - 
>> all without issues.
>>
>> Next step in to install eComStation to the drive.
>>
>> Why do this ? Well using what is effectively a VERY cheap Solid State 
>> Disk (the Compact flash cards are parallel interfaced not serial like 
>> other memory cards) that can run the system (and possibly a future 
>> system for the lounge) quietly and with less power consumption that a 
>> normal harddisk. The cheap card I bought is supposed to have a 15MB/s 
>> data transfer rate (DFSee reports only 3.8 MB/s) which is not as fast 
>> as SATA data transfer however there is no wait for spin up or for the 
>> data to come around, so if I were to buy a better quality, faster CF 
>> card, (The adapter I bought can take two cards) it could operate 
>> almost as fast as a mechanical hard disk.
>>
>> This will never be a solution for high volumes of data storage, but 
>> it seems like an interesting option for very small form factor lounge 
>> PCs.
>>
>> Cheers/2
>>
>> Ed.
Hi Ed,

Wasn't that the initial method that some of the guys used (but in a 
laptop) to check out feasibility of booting eCS off flash-memory, on the 
Booting-USB-wiki? ;-)

Glad you got it working straight off! :-)
What did it cost you with freight from HK?

Regards,
Mike
----------------------------------------------------------------------------------